Bug report #9434

DB Manager versioning: language "SQL" does not exist

Added by Paolo Cavallini about 6 years ago. Updated about 6 years ago.

Status:Closed
Priority:Normal
Assignee:-
Category:DB Manager
Affected QGIS version:2.0.1 Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:
Crashes QGIS or corrupts data:No Copied to github as #:18028

Description

Activating versioning in DB Manager throws an error:

language "SQL" does not exist

QGIS 2.0.1, on Debian and Windows, PostGIS 2.1.1

Associated revisions

Revision 5cd53dd2
Added by Jürgen Fischer about 6 years ago

dbmanager versioning: use lower case 'sql' language (fixes #9434)

History

#1 Updated by Alexandre Neto about 6 years ago

I found this discussion, that might help solving the problem.

http://www.gossamer-threads.com/lists/davical/general/3047

At least for postgres 9.2+

#2 Updated by Paolo Cavallini about 6 years ago

  • Tag set to easy

Confirmed, thanks.

#3 Updated by Jürgen Fischer about 6 years ago

  • Status changed from Open to Closed

Also available in: Atom PDF